
<html>

<head>
	<link rel="stylesheet" type="text/css" href="2.css" />
	<script src="jquery-1.8.3.min.js"></script>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js" type="text/javascript"></script>
	<style>
		h1 {
			padding: 50px;
			color:maroon;
			text-align: center;
		};
	
		</style>
</head>

<body>
	<div href="" class="cube-switch">
		<span class="switch">
            <span class="switch-state off">Off</span>
		<span class="switch-state on">On</span>
		</span>
	</div>
	<div id="light-bulb" class="off ui-draggable">
		<div id="light-bulb2" style="opacity: 0; "></div>
		<p id="id_light_status"></p>
		<!--<p id="received_data">aa</p>-->
		
	</div>
	<h1 id="receivedStatus"></h1>
	<script type="text/javascript">
		var var_light_status = 0;
		var received_status = 0;
		//switch and light status change on click ...............................start
		$('.cube-switch .switch').click(function () {

			//($('.cube-switch').hasClass('active'))


			if (var_light_status == 1) {
				document.getElementById("id_light_status").innerHTML = "OFF";
				$('.cube-switch').removeClass('active');
				$('#light-bulb2').css({ 'opacity': '0' });
				var_light_status = 0;
				passVal(var_light_status);
			}
			else {
				document.getElementById("id_light_status").innerHTML = "ON";
				$('.cube-switch').addClass('active');
				$('#light-bulb2').css({ 'opacity': '1' });
				var_light_status = 1;
				passVal(var_light_status);
			}
		});
		//switch and light status change on click ...............................end

		//pass val function ...........start
		function passVal(data) {
			$.ajax({
				type: 'PUT',
				url: '/updateAction/light1',
				data: {si_no:1,appliance_id:"light1",action_command:data,action_status:"pending"},

				success: function (data_back) {
					document.getElementById("received_data").innerHTML = JSON.stringify(data_back);
				},
				dataType: 'JSON'
			});

			/*
			 $.post("http://localhost:8888/addStatus",{"si_no":1,"appliance_id":"light1","status_value":1}, function(data_back){
			 document.getElementById("received_data").innerHTML = JSON.stringify(data_back);
			  });
			  	*/
		}
		//pass val function ...........end


		//get val .....................................start
		var ff = function getVal() {
			var data={ si_no: 1, appliance_id: 'light1', status_value: 1 };
			$.post("http://182.163.112.218/getStatus",{"appliance_id":"light1"}, function(data_back){
				//document.getElementById("received_data").innerHTML = JSON.stringify(data_back);
				var_light_status = data_back.status_value;
				received_status=var_light_status;
			});
			if (var_light_status == 1) {
				document.getElementById("id_light_status").innerHTML = "Light is ON";
				document.getElementById("receivedStatus").innerHTML ="";
				$('.cube-switch').addClass('active');
				$('#light-bulb2').css({ 'opacity': '1' });
				var_light_status = 1;
			} else {

				//passVal();
				document.getElementById("id_light_status").innerHTML = "Light is OFF";
				document.getElementById("receivedStatus").innerHTML ="";
				$('.cube-switch').removeClass('active');
				$('#light-bulb2').css({ 'opacity': '0' });
				var_light_status = 0;

			}
			if(received_status==2)
			{
				document.getElementById("receivedStatus").innerHTML ="Sorry!! There is no electricity.";
				document.getElementById("id_light_status").innerHTML = "";
			}
			if(received_status==3)
			{
				document.getElementById("receivedStatus").innerHTML ="Sorry!! There is no bulb or cable is open/fused.";
				document.getElementById("id_light_status").innerHTML = "";
			}
			if(received_status==4)
			{
				document.getElementById("receivedStatus").innerHTML ="Command is sent. please wait...";
				document.getElementById("id_light_status").innerHTML = "";
			}
			  setTimeout(ff,500);
		}
	 //get val .....................................end
	setTimeout(ff,1000);
	</script>
</body>

</html>